﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Diagram : System.Web.UI.Page
{


    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            RadDiagram1.DataSource = GetShapes();
            RadDiagram1.ConnectionDataSource = GetConnections();
            RadDiagram1.DataBind();
        }
    }

    private IEnumerable GetShapes()
    {
        return new[] {
        new {id="EventStart", text="Event Start", type="rectangle", x=100, y=300, width=300, height=100},
        new {id="Research", text="Research", type="rectangle", x=200, y=100, width=200, height=200},
        new {id="UploadDocuments", text="Upload Documents", type="rectangle", x=300, y=300, width=300, height=100},
        new {id="ManagerReview", text="Manager review", type="rectangle", x=400, y=100, width=200, height=200},
        new {id="EndingEvent", text="EndingEvent", type="rectangle", x=500, y=300, width=300, height=100},
        new {id="NewApprove", text="new approve", type="rectangle", x=500, y=300, width=300, height=100},

    };
    }

    private IEnumerable GetConnections()
    {
        return new[] {
        new {sourceShapeId="EventStart", sourceConnector="bottom", targetShapeId="Research", targetConnector="top", startCapField=Telerik.Web.UI.Diagram.ConnectionStartCap.None,
            endCapField=Telerik.Web.UI.Diagram.ConnectionEndCap.ArrowEnd},
        new {sourceShapeId="EventStart", sourceConnector="bottom", targetShapeId="UploadDocuments", targetConnector="top", startCapField=Telerik.Web.UI.Diagram.ConnectionStartCap.None,
            endCapField=Telerik.Web.UI.Diagram.ConnectionEndCap.ArrowEnd},
        new {sourceShapeId="UploadDocuments", sourceConnector="bottom", targetShapeId="ManagerReview", targetConnector="top", startCapField=Telerik.Web.UI.Diagram.ConnectionStartCap.None,
            endCapField=Telerik.Web.UI.Diagram.ConnectionEndCap.ArrowEnd},
         new {sourceShapeId="ManagerReview", sourceConnector="bottom", targetShapeId="EndingEvent", targetConnector="top", startCapField=Telerik.Web.UI.Diagram.ConnectionStartCap.None,
            endCapField=Telerik.Web.UI.Diagram.ConnectionEndCap.ArrowEnd},
          new {sourceShapeId="ManagerReview", sourceConnector="bottom", targetShapeId="NewApprove", targetConnector="top", startCapField=Telerik.Web.UI.Diagram.ConnectionStartCap.None,
            endCapField=Telerik.Web.UI.Diagram.ConnectionEndCap.ArrowEnd},
          new {sourceShapeId="UploadDocuments", sourceConnector="left", targetShapeId="Research", targetConnector="right", startCapField=Telerik.Web.UI.Diagram.ConnectionStartCap.None,
            endCapField=Telerik.Web.UI.Diagram.ConnectionEndCap.ArrowEnd},
          //uncommenting the line below will throw a JavaScript error as the target shape does not exist
           //new {sourceShapeId="ManagerReview", sourceConnector="bottom", targetShapeId="notExistingShape", targetConnector="top", startCapField=Telerik.Web.UI.Diagram.ConnectionStartCap.None,
           // endCapField=Telerik.Web.UI.Diagram.ConnectionEndCap.ArrowEnd}
    };
    }
}